# $Revision: 1.63 $, $Date: 2006/10/31 20:14:55 $
Summary:	Graphical network viewer modeled after etherman
Summary(pl):	Graficzny monitor sieci
Summary(pt_BR):	Visualizador grfico de redes modelado como o etherman
Name:		etherape
Version:	0.9.7
Release:	4
License:	GPL
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/etherape/%{name}-%{version}.tar.gz
# Source0-md5:	7b5783090d92abe79634da4b582c6b48
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-resolv.patch
Patch3:		%{name}-Makefile.patch
URL:		http://etherape.sourceforge.net/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libglade2
BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	libpcap-devel
BuildRequires:	pkgconfig
BuildRequires:	scrollkeeper
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Etherape is a graphical network monitor for Unix modeled after
etherman. Featuring ether, ip and tcp modes, it displays network
activity graphically. Hosts and links change in size with traffic.
Color coded protocols display. It supports ethernet, ppp and slip
devices. It can filter traffic to be shown, and can read traffic from
a file as well as live from the network.

%description -l pl
Etherape to graficzny monitor sieci dla uniksw. Ma tryby ether, ip
oraz tcp, wywietla aktywno sieci graficznie. Hosty i poczenia
zmieniaj rozmiar wraz z ruchem. Protoky obrazowane za pomoc
kolorw. Obsuga urzdze ethernet, ppp i slip. Moe filtrowa ruch
jaki pokazuje, czyta z pliku lub bezporednio z sieci.

%description -l pt_BR
O etherape  um monitor grfico de redes modelado como o etherman.
Contm modos ether, ip e tcp, mostrando de forma grfica a atividade
da rede: Mquinas e conexes mudam em tamanho como o trfego e os
protocolos so codificados por cores. O Etherape suporta dispositivos
ethernet, ppp e slip.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pixmapsdir=%{_pixmapsdir} \
	Developmentdir=%{_desktopdir}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%update_desktop_database_post

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README* TODO
%attr(755,root,root) %{_bindir}/etherape
%{_datadir}/etherape
%{_mandir}/man1/etherape.1*
%{_desktopdir}/etherape.desktop
%{_pixmapsdir}/etherape.png
%{_omf_dest_dir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: etherape.spec,v $
Revision 1.63  2006/10/31 20:14:55  glen
- BR: scrollkeeper for %_omf_dest_dir

Revision 1.62  2006/10/31 17:23:23  maciek2w
- updated to 0.9.7

Revision 1.61  2006/02/01 12:16:39  maciek2w
- updated to 0.9.4; some patchs fixed
- STBR

Revision 1.60  2004/08/31 04:51:02  snurf
- typo / formatting / etc.

Revision 1.59  2004/07/14 19:29:07  qboosh
- added resolv patch (fixes build on amd64)
- fixed desktop patch, don't break desktop in install
- no libtool here, added missing BR pkgconfig, release 4

Revision 1.58  2004/07/14 08:14:39  ankry
- added -desktop patch, rel. 3

Revision 1.57  2004/03/18 23:34:49  adgor
- Added bdf_h.patch
- Release 2

Revision 1.56  2003/12/15 09:45:10  arekm
- fixed pixmapsdir

Revision 1.55  2003/07/04 12:04:52  qboosh
- cleanups, fixed doc

Revision 1.54  2003/06/12 13:55:49  adgor
- 0.9.0
- Fixed R, BR
- Fixed %files
- TODO: making ac/am stuff working

Revision 1.53  2003/05/26 16:24:56  malekith
- massive attack: adding Source-md5

Revision 1.52  2003/05/25 05:47:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.51  2003/05/14 07:08:19  kloczek
- fix in %build: do not use direct -I<path> to libglade header files but extract
  this from "libglade-config --cflags" output.

Revision 1.50  2003/05/06 11:30:20  qboosh
- use http for sources from sourceforge

Revision 1.49  2003/02/01 02:04:34  adgor
- Fixed CFLAGS (huh two-lines-with-define-boy!!)
- Release 3

Revision 1.48  2003/01/18 22:46:45  juandon
- removed two lines with define

Revision 1.47  2003/01/15 13:37:52  adgor
- pixmapsdir is prefix-independent now
- fixed %files

Revision 1.46  2002/10/09 13:14:21  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.45  2002/08/06 13:14:52  qboosh
- BR: libglade-gnome-devel; new %doc

Revision 1.44  2002/06/23 20:52:49  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%\{__gettextize\}/"

Revision 1.43  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.42  2002/05/21 23:13:00  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.41  2002/05/02 16:32:50  kloczek
- relase 2.

Revision 1.40  2002/05/02 15:06:41  kloczek
- added missing "rm -f missing" n top %build and merge translations from Conectiva.

Revision 1.39  2002/05/02 13:47:24  mmazur
- fixed building (couldn't find libglade headers)

Revision 1.38  2002/04/25 16:15:43  arturs
- fixed a small typo

Revision 1.37  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.36  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/01/18 02:12:49  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.34  2001/11/26 16:13:32  qboosh
- pl translations

Revision 1.33  2001/08/19 22:07:11  kloczek
- updated to 0.8.2.

Revision 1.32  2001/08/08 21:09:26  kloczek
- updated to 0.8.1.

Revision 1.31  2001/08/06 16:38:17  kloczek
- updated to 0.8.0.

Revision 1.30  2001/07/06 13:56:42  kloczek
- updated to 0.7.8.

Revision 1.29  2001/06/27 07:29:04  kloczek
- updated to 0.7.7.

Revision 1.28  2001/05/14 15:48:10  kloczek
- updated to 0.7.6,
- added desktop file and icon to %files.

Revision 1.27  2001/05/12 03:17:02  kloczek
- updated to 0.7.5.

Revision 1.26  2001/05/09 20:52:37  kloczek
- updated to 0.7.4.

Revision 1.25  2001/05/08 01:22:30  kloczek
- updated to 0.7.2.

Revision 1.24  2001/05/05 15:04:09  kloczek
- make libtool hapy.

Revision 1.23  2001/05/05 14:51:52  kloczek
- updated to 0.7.0.

Revision 1.22  2001/04/27 20:47:42  kloczek
- updated to 0.6.9.

Revision 1.21  2001/04/25 14:10:07  kloczek
- updated to 0.6.8.

Revision 1.20  2001/04/24 01:36:16  kloczek
- removed ourtdated DESTDIR.

Revision 1.19  2001/04/24 01:20:39  kloczek
- updated to 0.6.7.

Revision 1.18  2001/04/22 02:07:19  kloczek
- updated to 0.6.5.

Revision 1.17  2001/04/18 00:47:56  kloczek
- touch NEWS in %prep.

Revision 1.16  2001/04/18 00:45:32  kloczek
- automake must be runed as last before configure.

Revision 1.15  2001/04/17 23:57:33  kloczek
- updated to 0.6.1.

Revision 1.14  2001/04/04 15:23:11  kloczek
- update to 0.5.7,
- removed obsoleted resolve patch,
- regenerate libtool files for allow build in new gettext enviroment.

Revision 1.13  2001/03/16 00:10:55  kloczek
- release 2.

Revision 1.12  2001/03/15 08:03:50  misiek
- resolv patch

Revision 1.11  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.10  2000/06/13 20:08:02  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.9  2000/06/09 07:54:40  kloczek
- more %{__make} macros.

Revision 1.8  2000/06/09 07:22:49  kloczek
- added using %{__make} macro.

Revision 1.7  2000/05/18 19:19:33  kloczek
- spec adapterized.

Revision 1.6  2000/05/04 19:16:50  kloczek
- updated to 0.5.6.

Revision 1.5  2000/05/04 03:40:32  kloczek
- updated to 0.5.5.

Revision 1.4  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.3  2000/04/21 11:44:33  kloczek
- updated to 0.5.2.

Revision 1.2  2000/04/21 10:47:13  kloczek
- completly rewrited in PLD style and updated to 0.5.1.
